<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:minHeight="400dp"
    android:orientation="vertical" >

    <RelativeLayout
        android:id="@+id/meeting_list_toolbar"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        style="@style/OperationSearchToolBar">

        <TextView
            android:id="@+id/meeting_list_title"
            style="@style/DialogToolBarTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="@string/room_list"
            android:textColor="@color/edt_text"
            android:textSize="@dimen/opeartion_title_text_size" />

        <ProgressBar
            android:id="@+id/progressbar_small"
            style="?android:attr/progressBarStyleSmall"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toRightOf="@+id/meeting_list_title"
            android:indeterminate="false"
            android:visibility="invisible"
            />

        <Button
            android:id="@+id/close"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/ic_operation_close"
            android:contentDescription="@string/cont_desc" />

    </RelativeLayout>

    <TableLayout
        android:id="@+id/entered_meeting_room_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:visibility="gone">

        <TableRow>

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/room_no"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_meeting_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/dummy_num"
                android:textColor="#000000" />

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/meeting_participant_count"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_participant_count"
                android:layout_width="50dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/dummy_num"
                android:textColor="@color/text_select" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="10dp"/>

        </TableRow>

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="@android:color/darker_gray"/>

        <TableRow>

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/room_name"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_span="4"
                android:textStyle="bold"
                android:text="@string/dummy_str"
                android:textColor="#000000" />

        </TableRow>

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="@android:color/darker_gray"/>

        <TableRow>

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/create_date"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_create_date"
                android:layout_width="140dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/dummy_date"
                android:textColor="@color/text_select" />

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_span="2"
                android:text="@string/password_setting"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_password_set"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@string/dummy_str"
                android:textColor="@color/text_select" />
        </TableRow>

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="@android:color/darker_gray"/>

        <TableRow>

            <TextView
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/creator"
                android:textColor="#000000" />

            <TextView
                android:id="@+id/entered_room_creator"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:layout_span="4"
                android:text="@string/dummy_str"
                android:textColor="#000000" />

        </TableRow>

        <View
            android:layout_width="fill_parent"
            android:layout_height="1dp"
            android:background="@android:color/darker_gray"/>

    </TableLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:paddingBottom="10dp"
        android:paddingTop="10dp">

        <Button
            android:id="@+id/meeting_add"
            style="@style/ButtonABookDark"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:background="@drawable/operation_radius_frame"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:paddingBottom="10dp"
            android:paddingTop="10dp"
            android:text="@string/new_make" />

        <Button
            android:id="@+id/meeting_leave"
            style="@style/ButtonABookDark"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:background="@drawable/operation_radius_frame"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:paddingBottom="10dp"
            android:paddingTop="10dp"
            android:visibility="gone"
            android:text="@string/meeting_leave" />
    </RelativeLayout>

    <com.handmark.pulltorefresh.library.PullToRefreshListView
        android:id="@+id/meeting_list_listView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="10dp"
        android:layout_gravity="center_horizontal"
        android:minHeight="320dp"
        android:divider="@null"
        android:dividerHeight="5dp"/>

    <TextView
        android:id="@+id/meeting_no_room_msg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_gravity="center_horizontal"
        android:layout_margin="20dp"
        android:background="@drawable/rounded_edittext4search"
        android:gravity="center_horizontal"
        android:padding="10dp"
        android:text="@string/msg_no_data"
        android:textColor="#000000"
        android:visibility="gone" >
    </TextView>

</LinearLayout>